Description

Atlassian JIRA is one of the most powerful issue tracking systems which is used by many many customers all around the world.

Therefor it has solved many problems of users and have included many features needed by them. From another point of view

Atlassian JIRA is one of the most serious competitors of Redmine. So JIRA is a valuable and big source to learn about useful

features of an issue tracker.

I propose that Redmine should try to cover all and every feature of JIRA, either supporting it in core of Redmine, or through a plugin

(set).

Also I propose maintaining a wiki page for tracking status of coverage of JIRA features in Redmine. This page should include

information about unsupported features, supported features (and the version(s) supporting each) in core, and supported features

through plugins introducing the supporting plugin(s) for each feature.

We can learn about JIRA features by scanning its Release Notes.

Please note that this issue is actually a meta-issue requesting a meta-feature.

History

#1 - 2014-01-22 21:55 - Ebrahim Mohammadi

http://www.redmine.org/boards/1/topics/18986 has some good points.

#2 - 2014-01-23 08:16 - Daniel Felix

Well... why should we try to rebuild all Jira Features?

We moved from Jira, as it uses many features which sounds like but were quite useless in production and just blow up the interface.

If users need more features than the base distribution, they can install plugins or build their own plugins on Redmine itself. This way users just have

the features they really need and no bloatware (were a product is defined by its amount of functions not the amount of comfort).

Some features would be nice, this is true. But I don't get the point why a small group of persons should rebuild software from a big software company

just to provide the same features for free?

It's a little bit like Photoshop and GIMP. I can use GIMP to get many features for free, but not all. If I need more, I can install a plugin for  a specific

function. But if I want to get blast off by an amount of functions, which I use in some small cases (maybe just 20-40% of the software), then I could

move to a commercial software like Photoshop.

This is just my point. I'm not a fan of rebuilding something commercial one by one just to get into a competition which couldn't be handled with such a

small user group. Jira has it's users and Redmine has it's users. If some Jira users won't stay at Jira, great, come to our product. If some Redmine

users don't want to stay at Redmine, can't find a corresponding plugin and are not able to design their own plugin, well then invest some money to get

a coder who will programm your plugin or move for even more money to Jira. :-)

Best regards,

Daniel

#3 - 2014-01-23 11:53 - Ebrahim Mohammadi

1. In my initial proposal, I stressed "either supporting it in core of Redmine, or through a plugin (set)". I'm surely against taking everything in core of

Redmine. Even I think some of current core features of Redmine would be better organized as a plugin. (For example support for each VCS

should be a plugin IMO.)

2. Developing features for a software and commercialization of the software help each other. I think of Redmine as a powerful competitor in its field

that has the potential to be commercialized and compete aganist the best commercial products, such as Atlassian JIRA. I imagine great goals for

Redmine. Of course if we don't set high expectations from our product, it will never fly high.

2024-04-28 1/2

https://confluence.atlassian.com/display/JIRA/Production+Releases
http://www.redmine.org/boards/1/topics/18986


3. Setting great goals for Redmine and planning a roadmap to reach that goal, doesn't mean going through the whole roadmap at once. I'm aware

that it is impractical to start developing all features of JIRA in Redmine right now. But we can explore features of high quality competitors and

detect what Redmine has right now, what features it misses, and for each feature discuss and exchange ideas and decide if it should be

developed or an existing alternative should be recommended to users, when to develop (popularity and priority of the feature), shall it go into

core or developed as a plugin, ...

4. Keeping an eye on competitors lets you know your strengths and weaknesses. This knowledge is valuable in itself, for both developers and

users, even if no new feature is going to be developed as a result.

5. I believe Redmine would have a brighter future, even commercially, with a real mid-term/long-term roadmap and a clear development process to

revise the roadmap and develop Redmine based on that roadmap. Studying Atlassian JIRA features helps in developing a good roadmap IMO.

#4 - 2019-01-13 06:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Invalid

The request is too vague. Please open one issue for each feature request.
